> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/admin/llms.txt > Use this file to discover all available pages before exploring further. # Create group member Adds a member to a group. ## HTTP method and URL path POST https\://api.canva.com/admin/v1/teams/\{teamId}/groups/\{groupId}/members ### Rate limit This operation is rate limited to 1000 requests per minute for your app. ## Authentication and authorization This endpoint requires a valid access token that was generated using client credentials. ### Scopes The access token must have all the following [scopes](/docs/admin/appendix/scopes) (permissions): * `admin:group:write` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` Indicates the media type of the information sent in the request. This must be set to `application/json`. For example: `Content-Type: application/json` ## Path parameters The team ID. The group ID. ## Body parameters The user ID. The role of the user in the group. **Available values:** * `admin` * `member` ## Example request Examples for using the `/v1/teams/{teamId}/groups/{groupId}/members` endpoint: ```sh curl --request POST 'https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members' \ --header 'Authorization: Bearer {token}' \ --header 'Content-Type: application/json' \ --data '{ "user_id": "UAAAAAAAAA1", "role": "admin" }' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members", { method: "POST", headers: { "Authorization": "Bearer {token}", "Content-Type": "application/json", }, body: JSON.stringify({ "user_id": "UAAAAAAAAA1", "role": "admin" }), }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members")) .header("Authorization", "Bearer {token}") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\"user_id\": \"UAAAAAAAAA1\", \"role\": \"admin\"}")) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}", "Content-Type": "application/json" } data = { "user_id": "UAAAAAAAAA1", "role": "admin" } response = requests.post("https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members", headers=headers, json=data ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Post, RequestUri = new Uri("https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members"), Headers = { { "Authorization", "Bearer {token}" }, }, Content = new StringContent( "{\"user_id\": \"UAAAAAAAAA1\", \"role\": \"admin\"}", Encoding.UTF8, "application/json" ), }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" "strings" ) func main() { payload := strings.NewReader(`{ "user_id": "UAAAAAAAAA1", "role": "admin" }`) url := "https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members" req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer {token}") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members", CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', 'Content-Type: application/json', ), CURLOPT_POSTFIELDS => json_encode([ "user_id" => "UAAAAAAAAA1", "role" => "admin" ]) )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/admin/v1/teams/{teamId}/groups/{groupId}/members') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request['Authorization'] = 'Bearer {token}' request['Content-Type'] = 'application/json' request.body = < ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: A member in a group. Properties of group_member} defaultExpanded={true}> The user ID. The group ID. The team ID. The role of the user in the group. **Available values:** * `admin` * `member` ## Example response ```json { "group_member": { "user_id": "UAAAAAAAAA1", "group_id": "GAAAAAAAAAA", "team_id": "BAAAAAAAAAA", "role": "member" } } ``` ## Error responses ### 403 Forbidden A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/admin/error-responses/). A human-readable description of what went wrong. #### Example error response ##### The user has reached the maximum number of groups ```json { "code": "max_limit_reached", "message": "User {userId} has reached the maximum number (70) of groups" } ``` ### 404 Not Found A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/admin/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### The team was not found ```json { "code": "team_not_found", "message": "Team {teamId} not found" } ``` ##### The group was not found ```json { "code": "group_not_found", "message": "Group {groupId} not found" } ``` ##### The user is not a member of the team ```json { "code": "user_not_found", "message": "User {userId} is not a member of team {teamId}" } ```